Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Class InvalidUserSessionException

    java.lang.Object
      JSException
          jet.server.api.InvalidUserSessionException

    public class InvalidUserSessionException

extends JSException

Signals for the invalid UserSession Exception. Typically, the exception is thrown out when an invalid UserSession is accessed.

See Also:
  `UserSession`

Constructor Summary
`InvalidUserSessionException(int msgKey)` Construct a new `InvalidUserSessionException` with specified message, the cause is not initialized.
`InvalidUserSessionException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`InvalidUserSessionException(int msgKey, java.lang.Throwable cause)` Construct a new `InvalidUserSessionException` with specified detail message and cause.
`InvalidUserSessionException(java.lang.String message)` Construct a new `InvalidUserSessionException` with specified message, the cause is not initialized.
`InvalidUserSessionException(java.lang.Throwable cause)` Construct a new `InvalidUserSessionException` with specified cause and a `null`detail message.``

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidUserSessionException

    public InvalidUserSessionException(int msgKey,
                                       java.lang.Object[] params,
                                       java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### InvalidUserSessionException

    public InvalidUserSessionException(int msgKey,
                                       java.lang.Throwable cause)

  Construct a new `InvalidUserSessionException` with specified detail message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### InvalidUserSessionException

    public InvalidUserSessionException(int msgKey)

  Construct a new `InvalidUserSessionException` with specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key.

### InvalidUserSessionException

    public InvalidUserSessionException(java.lang.Throwable cause)

  Construct a new `InvalidUserSessionException` with specified cause and a `null`detail message.

  Parameters:
    `cause` - the cause.
  ``

### InvalidUserSessionException

    public InvalidUserSessionException(java.lang.String message)

  Construct a new `InvalidUserSessionException` with specified message, the cause is not initialized.

  Parameters:
    `message` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD